Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.cfg.spi
Interface IdentifierGeneratorStrategyProvider

    public interface IdentifierGeneratorStrategyProvider

Provide a set of IdentifierGenerator strategies allowing to override the Hibernate Core default ones

Author:
  Emmanuel Bernard

Method Summary
`Map<String,Class<?>>` | `getStrategies()` set of strategy / generator class pairs to register as accepted strategies

Method Detail

### getStrategies

    Map<String,Class<?>> getStrategies()

  set of strategy / generator class pairs to register as accepted strategies

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.